> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/entities/job/validation-errors.md).

# Retrieve job validation errors

## Get job validation errors

<mark style="color:blue;">`GET`</mark> `https://ris.rightsline.com/v4/job/:id/validation-errors`

This endpoint allows you to retrieve validation errors for a specific job by ID.

#### Path Parameters

| Name                                 | Type   | Description                                  |
| ------------------------------------ | ------ | -------------------------------------------- |
| id<mark style="color:red;">\*</mark> | string | ID of the job to retrieve validation errors. |

#### Headers

| Name                                             | Type   | Description             |
| ------------------------------------------------ | ------ | ----------------------- |
| x-api-key<mark style="color:red;">\*</mark>      | string | Your company's API key. |
| Authentication<mark style="color:red;">\*</mark> | string | Authentication token.   |

{% tabs %}
{% tab title="200: OK Validation errors exist." %}

```javascript
{
  "hasErrors": true,
  "errors": [
    {
      "message": "End Date (term_end_date) is required",
      "type": "Data & Associations",
      "workflowBlocking": true
    }
  ],
  "message": "Workflow blocking errors are present. Workflow Actions are disabled until these validation errors are resolved."
}
```

{% endtab %}

{% tab title="404: Not Found Could not find an job with this ID." %}

```javascript
{
  "message": "Resource Not Found"
}
```

{% endtab %}

{% tab title="200: OK No validation errors exist." %}

```javascript
{
  "hasErrors": false,
  "errors": [],
  "message": "No validation errors exist."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.rightsline.com/entities/job/validation-errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
